Ruby: rb_ractor_struct Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Structures | Data Fields
rb_ractor_struct Struct Reference

## Data Structures
struct | gc_mark_func_data_struct

## Data Fields
struct rb_ractor_pub | pub
struct rb_ractor_sync | sync
VALUE | receiving_mutex
bool | yield_atexit
rb_nativethread_cond_t | barrier_wait_cond
struct { |
struct ccan_list_head set |
unsigned int cnt |
unsigned int blocking_cnt |
unsigned int sleeper |
struct rb_thread_sched sched |
rb_execution_context_t * running_ec |
rb_thread_t * main |
} | threads |
VALUE | thgroup_default
VALUE | name
VALUE | loc
enum ractor_status | status_
struct ccan_list_node | vmlr_node
st_table * | local_storage
struct rb_id_table * | idkey_local_storage
VALUE | r_stdin
VALUE | r_stdout
VALUE | r_stderr
VALUE | verbose
VALUE | debug
rb_ractor_newobj_cache_t | newobj_cache
struct rb_ractor_struct::gc_mark_func_data_struct * | mfd

## Detailed Description

Definition at line 105 of file ractor_core.h.

## Field Documentation

## ◆ barrier_wait_cond

rb_nativethread_cond_t rb_ractor_struct::barrier_wait_cond

Definition at line 113 of file ractor_core.h.

## ◆ blocking_cnt

unsigned int rb_ractor_struct::blocking_cnt

Definition at line 119 of file ractor_core.h.

## ◆ cnt

unsigned int rb_ractor_struct::cnt

Definition at line 118 of file ractor_core.h.

## ◆ debug

VALUE rb_ractor_struct::debug

Definition at line 143 of file ractor_core.h.

## ◆ idkey_local_storage

struct rb_id_table* rb_ractor_struct::idkey_local_storage

Definition at line 137 of file ractor_core.h.

## ◆ loc

VALUE rb_ractor_struct::loc

Definition at line 128 of file ractor_core.h.

## ◆ local_storage

st_table* rb_ractor_struct::local_storage

Definition at line 136 of file ractor_core.h.

## ◆ main

rb_thread_t* rb_ractor_struct::main

Definition at line 123 of file ractor_core.h.

## ◆ name

VALUE rb_ractor_struct::name

Definition at line 127 of file ractor_core.h.

## ◆ newobj_cache

rb_ractor_newobj_cache_t rb_ractor_struct::newobj_cache

Definition at line 145 of file ractor_core.h.

## ◆ pub

struct rb_ractor_pub rb_ractor_struct::pub

Definition at line 106 of file ractor_core.h.

## ◆ r_stderr

VALUE rb_ractor_struct::r_stderr

Definition at line 141 of file ractor_core.h.

## ◆ r_stdin

VALUE rb_ractor_struct::r_stdin

Definition at line 139 of file ractor_core.h.

## ◆ r_stdout

VALUE rb_ractor_struct::r_stdout

Definition at line 140 of file ractor_core.h.

## ◆ receiving_mutex

VALUE rb_ractor_struct::receiving_mutex

Definition at line 109 of file ractor_core.h.

## ◆ running_ec

rb_execution_context_t* rb_ractor_struct::running_ec

Definition at line 122 of file ractor_core.h.

## ◆ sched

struct rb_thread_sched rb_ractor_struct::sched

Definition at line 121 of file ractor_core.h.

## ◆ set

struct ccan_list_head rb_ractor_struct::set

Definition at line 117 of file ractor_core.h.

## ◆ sleeper

unsigned int rb_ractor_struct::sleeper

Definition at line 120 of file ractor_core.h.

## ◆ status_

enum ractor_status rb_ractor_struct::status_

Definition at line 130 of file ractor_core.h.

## ◆ sync

struct rb_ractor_sync rb_ractor_struct::sync

Definition at line 108 of file ractor_core.h.

## ◆ thgroup_default

VALUE rb_ractor_struct::thgroup_default

Definition at line 125 of file ractor_core.h.

## ◆ verbose

VALUE rb_ractor_struct::verbose

Definition at line 142 of file ractor_core.h.

## ◆ vmlr_node

struct ccan_list_node rb_ractor_struct::vmlr_node

Definition at line 132 of file ractor_core.h.

## ◆ yield_atexit

bool rb_ractor_struct::yield_atexit

Definition at line 110 of file ractor_core.h.

The documentation for this struct was generated from the following file:

- ractor_core.h